Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# rb_compile_option_struct Struct Reference

`#include <vm_core.h>`

## Data Fields
int | inline_const_cache
int | peephole_optimization
int | tailcall_optimization
int | specialized_instruction
int | operands_unification
int | instructions_unification
int | stack_caching
int | trace_instruction
int | debug_level

## Detailed Description

Definition at line 125 of file vm_core.h.

## Field Documentation

int rb_compile_option_struct::debug_level

Definition at line 134 of file vm_core.h.

int rb_compile_option_struct::inline_const_cache

Definition at line 126 of file vm_core.h.

Referenced by iseq_compile_each().

int rb_compile_option_struct::instructions_unification

Definition at line 131 of file vm_core.h.

Referenced by iseq_setup().

int rb_compile_option_struct::operands_unification

Definition at line 130 of file vm_core.h.

Referenced by iseq_optimize().

int rb_compile_option_struct::peephole_optimization

Definition at line 127 of file vm_core.h.

Referenced by iseq_optimize().

int rb_compile_option_struct::specialized_instruction

Definition at line 129 of file vm_core.h.

Referenced by iseq_compile_each(), and iseq_optimize().

int rb_compile_option_struct::stack_caching

Definition at line 132 of file vm_core.h.

Referenced by iseq_setup().

int rb_compile_option_struct::tailcall_optimization

Definition at line 128 of file vm_core.h.

Referenced by iseq_compile_each(), and iseq_optimize().

int rb_compile_option_struct::trace_instruction

Definition at line 133 of file vm_core.h.

The documentation for this struct was generated from the following file:

- vm_core.h